@use "colors";

@use "sass:math";

.contact-link-item {
    text-align: center;
    padding-right: 1.5rem;
    padding-bottom: 1rem;
    width: 91px;

    a {
        display: flex;
        flex-direction: column;
        align-items: center;

        .icon {
            $size: 24px;
            width: math.div($size * 3, 2);
            height: math.div($size * 3, 2);
            background-color: colors.$content-background;
            color: colors.$content-black;
            margin-left: 5px;

            border-radius: 50%;
            border: 1px solid colors.$content-black;

            display: flex;
            justify-content: center;
            align-items: center;

            $offset: 3px;
            $offset-hover: 2px;
            $offset-move: $offset - $offset-hover;
            box-shadow: -$offset $offset 0 -1px colors.$content-white, -$offset $offset colors.$content-black;

            &:hover {
                transform: translate(-$offset-move, $offset-move);
                box-shadow: -$offset-hover $offset-hover 0 -1px colors.$content-white, -$offset-hover $offset-hover colors.$content-black;
            }

            svg,
            img {
                width: $size;
                height: $size;
                color: colors.$content-black;

                &.website {
                    color: colors.$orange;
                }

                &.email {
                    color: colors.$yellow;
                }

                &.instagram {
                    color: colors.$turquoise;
                }

                &.facebook {
                    color: colors.$blue;
                }

                &.telegram {
                    color: colors.$blue;
                }

                &.twitter {
                    color: colors.$blue;
                }

                &.whatsapp {
                    color: colors.$turquoise;
                }
            }
        }

        .link-name {
            padding-top: 1rem;
            color: colors.$content-black;
            max-width: 100%;
            font-size: 0.8rem;
            line-height: 1.1rem;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }
}

/* Small devices */
@media only screen and (max-width: 600px) {
    .contact-link-item {
        padding-right: 0;
    }
}